Skip to main content
POST
/
audio-to-text
Convert Audio to Text
curl --request POST \
  --url https://{api_base_url}/audio-to-text \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'user=<string>'
import requests

url = "https://{api_base_url}/audio-to-text"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "user": "<string>" }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('user', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://{api_base_url}/audio-to-text', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "text": "Hello, I would like to know more about the iPhone 13 Pro Max."
}

Authorizations

Authorization
string
header
required

API Key authentication. For all API requests, include your API Key in the Authorization HTTP Header, prefixed with Bearer. Example: Authorization: Bearer {API_KEY}. Strongly recommend storing your API Key on the server-side, not shared or stored on the client-side, to avoid possible API-Key leakage that can lead to serious consequences. Requests with a missing or invalid API key fail with HTTP 401 and error code unauthorized.

Body

multipart/form-data

Request body for audio-to-text conversion.

file
file
required

Audio file. Validated by MIME type: audio/mp3, audio/m4a, audio/wav, audio/amr, or audio/mpga. Limit: 30 MB.

user
string

User identifier.

Response

Successfully converted audio to text.

text
string

Output text from speech recognition.

Last modified on July 9, 2026